import * as ajv from 'ajv';
import { Event, ErrorEvent } from 'sonarwhal/dist/src/lib/types/events';
export declare type BabelConfig = {
    ast: boolean;
    auxiliaryCommentAfter: string;
    auxiliaryCommentBefore: string;
    code: boolean;
    comments: boolean;
    compact: string;
    env: object;
    extends: string;
    filename: string;
    filenameRelative: string;
    highlightCode: boolean;
    ignore: Array<string> | string;
    inputSourceMap: object;
    keepModuleIdExtensions: boolean;
    moduleId: string;
    moduleIds: string;
    moduleRoot: string;
    only: Array<string> | string;
    plugins: string | Array<string> | Array<object>;
    presets: string | Array<string> | Array<object>;
    retainLines: boolean;
    sourceFileName: string;
    sourceMaps: string | boolean;
    sourceMapTarget: string;
    sourceRoot: string;
};
export declare type BabelConfigInvalidJSON = ErrorEvent;
export declare type BabelConfigParsed = Event & {
    config: BabelConfig;
    originalConfig: BabelConfig;
};
export declare type BabelConfigInvalidSchema = Event & {
    errors: Array<ajv.ErrorObject>;
    prettifiedErrors: Array<string>;
};
